Bug 1231337 - OpenSSL::SSL::SSLError While sequentially publishing a content-view
Summary: OpenSSL::SSL::SSLError While sequentially publishing a content-view
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 17:58 UTC by Alex Krzos
Modified: 2019-08-12 14:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:58:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 11558 None None None 2016-04-22 16:14:21 UTC
Red Hat Knowledge Base (Solution) 3060321 None None None 2017-06-05 19:21:34 UTC

Description Alex Krzos 2015-06-12 17:58:25 UTC
Description of problem:
I have setup a test to sequentially publish a content-view many times to view the performance of Satellite 6.1 while publishing/promoting a content-view.  The test fails due to:

# time hammer -u admin -p changeme content-view publish --organization-id 1 --name rhel-6server-rpms

Task 3bdd4e58-2f92-439f-b2f6-32b2ba587d62 running: 0.05714285714285714/1, 5%, elapsed: 00:00:00
...
Task 3bdd4e58-2f92-439f-b2f6-32b2ba587d62 error: 0.6142857142857143/1, 61%, 0.0/s, elapsed: 00:07:27, ETA: 00:01:32
SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A

Three times the error above was displayed.  


One time the error was different and displayed:

Task c20fa9b4-a5c9-4ccb-b433-1e5284d5749a running: 0.9428571428571428/1, 94%, 0.0/s, elapsed: 00:07:04, ETA: 00:00:12
Task c20fa9b4-a5c9-4ccb-b433-1e5284d5749a error: 0.9571428571428572/1, 95%, 0.0/s, elapsed: 00:07:06, ETA: 00:00:09
Task c20fa9b4-a5c9-4ccb-b433-1e5284d5749a error: 0.9571428571428572/1, 95%, 0.0/s, elapsed: 00:07:06, ETA: 00:00:09
ERF12-2749 [ProxyAPI::ProxyException]: Umgebungen konnten nicht von Puppet geladen werden ([Errno::EPIPE]: Broken pipe - SSL_connect) für Proxy https://perfc-380g8-01.perf.lab.eng.rdu.redhat.com:9090/puppet


Version-Release number of selected component (if applicable):
Satellite 6.1 GA SNAP2

How reproducible:
Has occurred every-time I attempted to complete this test with 100 content-view publishes of a content-view consisting solely of RHEL-6Server-RPMs

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

This has occurred 4 times now.  Three of the times I have recorded the dynflow output and found different steps where the failure occurred.

68: Actions::Pulp::Repository::RemovePuppetModule

OpenSSL::SSL::SSLError

SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A

---
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `block in connect'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:100:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:756:in `do_start'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:745:in `start'
- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.29/lib/restclient_ext/request.rb:44:in
  `transmit'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in
  `get'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:91:in
  `get_response'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:82:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/resources/task.rb:41:in
  `poll'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:107:in
  `block in get_new_tasks'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:106:in
  `map'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:106:in
  `get_new_tasks'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:92:in
  `block in external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:89:in
  `each'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:89:in
  `external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/repository/abstract_remove_content.rb:39:in
  `external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:70:in
  `initiate_external_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:12:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/cancellable.rb:9:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:57:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:443:in
  `block (3 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:57:in
  `block (2 levels) in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:84:in
  `pulp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:43:in
  `as_pulp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:56:in
  `block in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:91:in
  `cp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:38:in
  `as_cp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:55:in
  `as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:30:in
  `with_progress_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:16:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:34:in
  `with_locale'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/world.rb:30:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:442:in
  `block (2 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `block in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `block in with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:436:in
  `execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:230:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in
  `block (2 levels) in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `with_meta_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in
  `block in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in
  `open_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:20:in
  `block in on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in
  `block in assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `tap'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in
  `match_value'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in
  `block in match'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `each'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `match'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:17:in
  `on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:82:in
  `on_envelope'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:72:in
  `receive'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block (2 levels) in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `loop'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:13:in
  `block in initialize'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `block in create_with_logging_context'


------------------------------------------------------------
39:  Actions::Pulp::Repository::RemovePackageGroup (error)

OpenSSL::SSL::SSLError

SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A

---
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `block in connect'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:100:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:756:in `do_start'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:745:in `start'
- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.29/lib/restclient_ext/request.rb:44:in
  `transmit'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:67:in
  `post'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:91:in
  `get_response'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:82:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/resources/repository.rb:151:in
  `unassociate_units'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/repository/abstract_remove_content.rb:23:in
  `invoke_external_task'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:70:in
  `initiate_external_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:12:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/cancellable.rb:9:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:57:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:443:in
  `block (3 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:57:in
  `block (2 levels) in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:84:in
  `pulp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:43:in
  `as_pulp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:56:in
  `block in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:91:in
  `cp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:38:in
  `as_cp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:55:in
  `as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:30:in
  `with_progress_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:16:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:34:in
  `with_locale'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/world.rb:30:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:442:in
  `block (2 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `block in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `block in with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:436:in
  `execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:230:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in
  `block (2 levels) in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `with_meta_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in
  `block in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in
  `open_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:20:in
  `block in on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in
  `block in assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `tap'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in
  `match_value'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in
  `block in match'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `each'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `match'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:17:in
  `on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:82:in
  `on_envelope'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:72:in
  `receive'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block (2 levels) in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `loop'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:13:in
  `block in initialize'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `block in create_with_logging_context'

------------------------------------------------------------
41:  Actions::Pulp::Repository::RemoveDistribution (error)

OpenSSL::SSL::SSLError

SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A

---
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `block in connect'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:100:in `timeout'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:800:in `connect'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:756:in `do_start'
- /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:745:in `start'
- /opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.29/lib/restclient_ext/request.rb:44:in
  `transmit'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:51:in
  `get'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:91:in
  `get_response'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/base.rb:82:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/runcible-1.3.0/lib/runcible/resources/task.rb:41:in
  `poll'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:107:in
  `block in get_new_tasks'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:106:in
  `map'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:106:in
  `get_new_tasks'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:92:in
  `block in external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:89:in
  `each'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:89:in
  `external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/repository/abstract_remove_content.rb:39:in
  `external_task='
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:70:in
  `initiate_external_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/polling.rb:12:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/cancellable.rb:9:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/pulp/abstract_async_task.rb:57:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:443:in
  `block (3 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:57:in
  `block (2 levels) in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:84:in
  `pulp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:43:in
  `as_pulp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:56:in
  `block in as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/katello/util/thread_session.rb:91:in
  `cp_config'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:38:in
  `as_cp_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:55:in
  `as_remote_user'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/remote_action.rb:27:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:30:in
  `with_progress_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action/progress.rb:16:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:26:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware.rb:16:in
  `pass'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:34:in
  `with_locale'
- /opt/rh/ruby193/root/usr/share/gems/gems/katello-2.2.0.38/app/lib/actions/middleware/keep_locale.rb:23:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/stack.rb:22:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/middleware/world.rb:30:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:442:in
  `block (2 levels) in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:441:in
  `block in execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `block in with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:365:in
  `with_error_handling'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:436:in
  `execute_run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/action.rb:230:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in
  `block (2 levels) in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract.rb:152:in
  `with_meta_calculation'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in
  `block in execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in
  `open_action'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in
  `execute'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:20:in
  `block in on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in
  `block in assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `tap'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in
  `assigns'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in
  `match_value'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in
  `block in match'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `each'
- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in
  `match'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/executors/parallel/worker.rb:17:in
  `on_message'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:82:in
  `on_envelope'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:72:in
  `receive'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block (2 levels) in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `loop'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `block in run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `catch'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:99:in
  `run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.7.3/lib/dynflow/micro_actor.rb:13:in
  `block in initialize'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `call'
- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in
  `block in create_with_logging_context'

Comment 1 Alex Krzos 2015-06-12 18:00:19 UTC
When this occurs, subsequent content-view publishes fail with:

Could not publish the content view:
  Required lock is already taken by other running tasks.
  Please inspect their state, fix their errors and resume them.

  Required lock: read
  Conflicts with tasks:
  - https://perfc-380g8-01.perf.lab.eng.rdu.redhat.com/foreman_tasks/tasks/3bdd4e58-2f92-439f-b2f6-32b2ba587d62

By visiting above url and resuming the task the publish completes and subsequent publishes can be started.

Comment 2 RHEL Product and Program Management 2015-06-12 18:02:36 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 David O'Brien 2015-08-19 05:01:35 UTC
Can somebody provide suitable doc text for a rel note?

thanks a lot.

Comment 5 Bryan Kearney 2015-08-25 18:43:35 UTC
Created redmine issue http://projects.theforeman.org/issues/11558 from this bug

Comment 6 Bryan Kearney 2015-08-25 18:54:30 UTC
Upstream bug component is Content Views

Comment 9 David O'Brien 2016-04-18 00:48:46 UTC
Reset docs contact <> daobrien

Comment 12 Dustin Boyd 2016-10-27 18:25:36 UTC
I am currently seeing a similar error on capsule synchronization with custom certificates instead of content view publihing in case 01727827 (https://access.redhat.com/support/cases/#/case/01727827). Is there any push to look into this issue further?

Comment 15 Christian Marineau 2017-05-08 14:11:04 UTC
Hi,

The error: "SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A" is most of the time caused by security appliance/software interfering in SSL protocol negotiation. 

Please verify with the network team if any appliance is present between Satellite and Capsule.

Thanks

Comment 16 Bryan Kearney 2018-09-04 17:58:50 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.